


player = {}
player.x = 10
player.y = 10
player.speed = 0.5
player.health = 20
player.damage = 2

local moveKey
local playerImages = {}
playerImages["idle"] = love.graphics.newImage("textures/character_idle.png")
playerImages["left"] = love.graphics.newImage("textures/character_left.png")
playerImages["right"] = love.graphics.newImage("textures/character_right.png")



function love.keypressed(key)
  if key == "left" or key == "right" then moveKey = key end
end

function love.keyreleased(key)
   if key == "left" or key == "right" then moveKey = nil end
   if key == "left" and love.keyboard.isDown("right") then moveKey = "right" end
   if key == "right" and love.keyboard.isDown("left") then moveKey = "left" end
end

function player_draw()
   love.graphics.setColor(255,255,255)
   love.graphics.draw(playerImages[moveKey] or playerImages["idle"], player.x, player.y)
end

function player_mobility()
	if love.keyboard.isDown("up") then
		player.y = player.y - player.speed
	end
	if love.keyboard.isDown("down") then
		player.y = player.y + player.speed
	end
	if love.keyboard.isDown("left") then
		player.x = player.x - player.speed
	end
	if love.keyboard.isDown("right") then
		player.x = player.x + player.speed
	end
	if love.keyboard.isDown("lshift") then
		player.speed = 1.5
	else
		player.speed = 0.5
	end
end